TextToSpeechVersionEx(3dtk)

Name

TextToSpeechVersionEx - Returns information about the currently running version of DECtalk Software.

Syntax
    DWORD TextToSpeechVersionEx (LPVERSION_INFO *ver)

Parameters

LPVERSION_INFO *ver
    Returns the address of a pointer to an array of characters containing version information. The VERSION_INFO structure contains the following information:
        DWORD   StructSize;
        DWORD   StructVersion;
        WORD    DLLVersion;
        WORD    DTalkVersion;
        LPSTR   VerString;
        LPSTR   Language;
        DWORD   Features;

Description

This function returns information about the currently running version of DECtalk Software in a VERSION_INFO structure.

Return Values

This function returns a value of type DWORD indicating the size of the VERSION_INFO structure that was returned to the caller. The return value is zero if the call is not successful. No other error information is available.

Example
    BOOL IsDECtalkMLInstalled(void) {
        LPVERSION_INFO verinfo;

        TextToSpeechVersionEx (&verinfo);
        if (ver->Features & TTS_FEATS_MULTILANG) return TRUE;
        return FALSE;
    }